"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const recast = require("recast");
const DEFAULT_OPTIONS = {
    sourceType: 'module',
    allowImportExportEverywhere: true,
    allowReturnOutsideFunction: true,
    allowSuperOutsideMethod: true,
    plugins: [
        'flow',
        'jsx',
        'asyncGenerators',
        'classProperties',
        'doExpressions',
        'exportExtensions',
        'functionBind',
        'functionSent',
        'objectRestSpread',
        'dynamicImport',
        'decorators'
    ]
};
exports.default = {
    parserOverride(code, options, parse) {
        return recast.parse(code, {
            parser: {
                parse(code) {
                    return parse(code, DEFAULT_OPTIONS);
                }
            }
        });
    },
    generatorOverride(ast, options, code, generate) {
        return recast.print(ast);
    }
};
//# sourceMappingURL=RecastPlugin.js.map